Download it now!
Bug 34398 - Writer HELP: add tooltips to FORMATTING of tables changing borders of cells
Summary: Writer HELP: add tooltips to FORMATTING of tables changing borders of cells
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium enhancement
Assignee: sdc.blanco
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Help-Changes-Features
  Show dependency treegraph
 
Reported: 2011-02-17 07:47 UTC by sasha.libreoffice
Modified: 2020-12-06 12:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-02-17 07:47:31 UTC
When I working with tables in Writer, I often change borders for cells. But it is hard to understand how to do it.

I select some cells, open dialog Table Format, on it tab Borders. Then appears "User defined" on left. There are some bars that represent borders of cells. When clicking on it bars become black, grey, white, with dotted border or without it, with arrows on ends or without. But no tool-tips to explain, what it means. And help not explains it. And when I change border of cell, I can not delete it from adjacent cell. I now, that it is feature of Libre and Open Office, but for other people it is not so easy.

Please, do it more understandable, descriptive and demonstrative. To beginner more easy to use. Add tool-tips and more help with pictures about changing borders in cells in Writer.
Comment 1 Rainer Bielefeld Retired 2011-03-19 07:33:42 UTC
After having read the report, I did several tests. My first impression was that UI here really is hard to understand, and also my experience seemed to say that UI for table borders might be a little crude.

But the longer I tested, the better I understood the system, and now everything seems crystal clear to me, and I do not have any idea how to improve UI, except, may be, by a possibility to select borders by mouseclick directly in the table.

@sasha:
Can you contribute some hints how that could be improved? Also, for example how competitors do it in a better way?
Comment 2 sasha.libreoffice 2011-03-21 01:29:56 UTC
UI itself is OK. But in Help is almost no explanations. No screenshots with explanations what it UI means and how use it. And no tooltips in UI itself. User can understad how use borders only experimentally. By trying many variants.
Therefore new users can not use all abilities of this powerful interface because lack of documentations and explanations.
Comment 3 sasha.libreoffice 2011-03-29 05:17:52 UTC
Using function find in Help I found this:
User Defined Borders in Text Documents
it is explanation which is needed. But I can not find any link to this place. Therefore needed only link from page about table to this page. And from some other pages too.
And some tooltips my be useful in dialog window itself.
Comment 4 Rainer Bielefeld Retired 2011-07-19 09:06:35 UTC
On <http://help.libreoffice.org/Writer/Inserting_Tables> I now see a link to 
<http://help.libreoffice.org/Writer/User_Defined_Borders_in_Text_Documents>, in  LOCALHELP I get the corresponding page with 1 more click from the page I reach with the Help button from the dialog, it seems there has been some improvement. If nobody objects I will close this bug as WFM.
Comment 5 sasha.libreoffice 2011-08-02 03:14:07 UTC
Thanks for improvements. It will more handy to use Writer.
But I propose 2 improvement:
add tooltip to "User-defined" field
add link to this page in in local help in bottom of page of help (among other 4 links), so it will duplicate link from inside of text
Comment 6 Björn Michaelsen 2011-12-23 11:47:01 UTC Comment hidden (obsolete)
Comment 7 Björn Michaelsen 2011-12-23 17:01:55 UTC
needinfo keyword redundant by needinfo status.
Comment 8 sasha.libreoffice 2012-01-20 01:41:10 UTC
Please, add 2 improvements:
- add tooltip to "User-defined" field (Properties of table, tab "Borders")
- add link to this page in in local help in bottom of page of help (among other 4
links), so it will duplicate link from inside of text (for all useful links will collected in one place)
Comment 9 A (Andy) 2013-05-08 20:51:12 UTC
@Andras: Could you maybe take a look at this?
Comment 10 sophie 2013-09-15 09:54:19 UTC
Assigned to me - Sophie
Comment 11 Commit Notification 2020-11-09 00:56:51 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/6d6ddfe17a222ef1446392cedf89c709f0b05017

tdf#34398 add links about user-defined borders
Comment 12 Commit Notification 2020-11-11 10:35:50 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bf4379690ad7721ed62c488c7750ad6c214cd63d

Resolves: tdf#34398  add tooltip to "user-defined" for table borders

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 sdc.blanco 2020-11-11 10:55:51 UTC
The two patches comment 11 and comment 12 should address the request in comment 5.
Closing as FIXED.  Followup comments can be sent here.